
for model in 't5_small'; do
    for method in 'supervised' 'nlpo'; do
        for data in 'scifact_oracle' 'cfever' 'fever' 'scifact'; do
            echo $method; echo $model; echo $data
            #seq2seq ce
            echo 'seq2seq ce'
            time python maple_ablation/scripts/training/train_text_generation.py \
            --config_path maple_ablation/config_ce/config_${method}/${model}_${data}.yml \
            --project_name ${method}_${model}_${data} \
            --experiment_name  ${method}_${model}_${data} \
            --base_path_to_store_results  maple_ablation/ce/ce/${method}_${model}_${data} \
            --log_to_wandb
            #seq2seq ec
            echo 'seq2seq ec'
            time python maple_ablation/scripts/training/train_text_generation.py \
            --config_path maple_ablation/config_ec/config_${method}/${model}_${data}.yml \
            --project_name ec_${method}_${model}_${data} \
            --experiment_name  ec_${method}_${model}_${data} \
            --base_path_to_store_results  maple_ablation/ec/ec_${method}_${model}_${data} \
            --log_to_wandb
        done
    done
done
